# PSF-LoginServer - master - net.psforever.objects.geometry.d2.Point
PSF - LoginServer - master - net.psforever.objects.geometry.d2.Point
Keywords: PSF LoginServer master net.psforever.objects.geometry.d2.Point

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d2
  Definition Classes
    geometry
- Flat
- Geometry2D
- Point
- Rectangle

o

net.psforever.objects.geometry.d2

# Point 

###
Companion class Point

#### object Point extends Serializable

Source
  Point.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Point
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(v: Vector3, frame: AxisAlignment2D): Point

   An overloaded constructor that uses the same coordinates from a `Vector3` entity in the given planar frame.

   An overloaded constructor that uses the same coordinates from a `Vector3` entity in the given planar frame. By default, the planar frame is the common XY-axis.

   v

     the entity with the corresponding points

   returns

     a `Point2D` entity

5.  def apply(v: Vector3): Point

   An overloaded constructor that uses the same coordinates from a `Vector3` entity.

   An overloaded constructor that uses the same coordinates from a `Vector3` entity. By default, the planar frame is the common XY-axis.

   v

     the entity with the corresponding points

   returns

     a `Point2D` entity

6.  def apply(frame: AxisAlignment2D): Point

   An overloaded constructor that assigns world origin coordinates in the given planar frame.

   An overloaded constructor that assigns world origin coordinates in the given planar frame.

   returns

     a `Point2D` entity

7.  def apply(point: geometry.Point): Point

   An overloaded constructor that assigns world origin coordinates.

   An overloaded constructor that assigns world origin coordinates. By default, the planar frame is the common XY-axis.

   returns

     a `Point2D` entity

8.  def apply(): Point

   An overloaded constructor that assigns world origin coordinates.

   An overloaded constructor that assigns world origin coordinates. By default, the planar frame is the common XY-axis.

   returns

     a `Point2D` entity

9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped